S1MERG(3)

SYNOPSIS
SUBROUTINE S1MERG (TCOS, I1, M1, I2, M2, I3)

NAME
s1merg - Merge two strings of ascending real numbers.

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (S1MERG-S, D1MERG-D, C1MERG-C, I1MERG-I)

AUTHOR
(UNKNOWN)

DESCRIPTION
This subroutine merges two ascending strings of numbers in the array TCOS. The first string is of length M1 and starts at TCOS(I1+1). The second string is of length M2 and starts at TCOS(I2+1). The merged string goes into TCOS(I3+1).

SEE ALSO
GENBUN

ROUTINES CALLED
SCOPY

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)
901120 Modified to use IF-THEN-ELSE. Previous spaghetti code did not compile correctly with optimization on the IBM RS6000. (RWC)
920130 Code name changed from MERGE to S1MERG. (WRB)